Issue 58328 - Cannot delete a list style applied in the document.
Summary: Cannot delete a list style applied in the document.
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: OOo 2.0
Hardware: All All
: P4 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
: 98712 (view as issue list)
Depends on:
Blocks:
 
Reported: 2005-11-23 08:37 UTC by raindrops
Modified: 2017-05-20 11:27 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
file with undeletable style (10.66 KB, text/plain)
2008-12-04 18:25 UTC, tab
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description raindrops 2005-11-23 08:37:34 UTC
In a small (1-page) odt file, I created a bulleted list style with 3 levels; and
assigned different bullets for different levels. Then I tried to select the
style and tried to delete the style from the "Styles and Formatting" window.

Writer issues the following warning:
You are deleting an applied style, do you want to delete the style? 

If I select "yes", nothing happens: the style does not get deleted from the
Styles and Formatting list.

Writer does not provide a feedback about why the operation failed, either.

Repeating the sequence does not yield any results.
Comment 1 lars 2005-11-23 18:17:19 UTC
can you give a step-by-step description on how to reproduce the problem?
Comment 2 raindrops 2005-11-24 11:35:12 UTC
We will create a new bulleted/numbered list, save it and then try to delete it:

1. Write a few short lines of text. Press ENTER to create a list from it.
2. Select a few lines.
3. Use menu option Format>Bullets and numbering...
4. In the dialog box that pops up, select "Options" tab.
5. Select Level-1, and apply a number/bullet to it.
6. Repeat for the levels 2 and 3. 
7. Press OK. Now the selected text becomes a bulleted/numbered list.
8. in the "Styles and Formatting" dialog box, click on the "List styles" button.
Now press the last button and select "Create new style from selection" from the
3 options that appear. Provide a name to our newly created list style (say "Trial").
9. Now in the "Styles and Formatting" dialog box, click on this new style name
and press DELETE. 
10. Writer issues the following warning: 
"You are deleting an applied style, do you want to delete the style?"
11. Select "Yes". But Writer does not delete the newly created style from the
"Styles and Formatting" dialog box. There is no error message either, explaining
why it cannot be deleted..
Comment 3 lars 2005-11-24 18:30:06 UTC
confirmed on Windows XP SP2 with OOo-dev 2.0.139
Comment 4 h.ilter 2005-11-25 16:27:32 UTC
Reassigned to ES
Comment 5 eric.savary 2005-11-30 14:13:51 UTC
ES->OS: lsit styles which are applied in the document cannot be deleted from the
stylist. Paragraph and Characters styles can.
Note: it has never worked -> OOo Later

Workaround: remove all occurences of the numbering style in the document.
Comment 6 tab 2008-12-04 18:25:13 UTC
Created attachment 58522 [details]
file with undeletable style
Comment 7 michael.ruess 2009-02-02 09:51:53 UTC
*** Issue 98712 has been marked as a duplicate of this issue. ***
Comment 8 Marcus 2017-05-20 11:27:44 UTC
Reset assigne to the default "issues@openoffice.apache.org".